org.apache.ignite.internal.util.lang

## Class IgnitePair<T>

- java.lang.Object
- - org.apache.ignite.lang.IgniteBiTuple<T,T>
  - - org.apache.ignite.internal.util.lang.IgnitePair<T>

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Iterable<Object>, Map<T,T>, Map.Entry<T,T>

    public class IgnitePair<T>
    extends IgniteBiTuple<T,T>

Simple extension over `IgniteBiTuple` for pair of objects of the same type.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`IgnitePair()` Empty constructor required by `Externalizable`.
`IgnitePair(T t1, T t2)` Creates pair with given objects.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `clone()`

### Methods inherited from class org.apache.ignite.lang.IgniteBiTuple

`clear, containsKey, containsValue, entrySet, equals, get, get1, get2, getKey, getValue, hashCode, isEmpty, iterator, keySet, put, putAll, readExternal, remove, set, set1, set2, setValue, size, swap, toString, values, writeExternal`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

### Methods inherited from interface java.util.Map.Entry

`comparingByKey, comparingByKey, comparingByValue, comparingByValue`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### IgnitePair

    public IgnitePair()

Empty constructor required by `Externalizable`.

#### IgnitePair

    public IgnitePair(@Nullable
                      T t1,
                      @Nullable
                      T t2)

Creates pair with given objects.

Parameters:
  `t1` - First object in pair.
  `t2` - Second object in pair.

### Method Detail

#### clone

    public Object clone()

Overrides:
  `clone` in class `IgniteBiTuple<T,T>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019